Bug 1856103 - python-argcomplete-1.12.0 is available
Summary: python-argcomplete-1.12.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-argcomplete
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-12 18:19 UTC by Upstream Release Monitoring
Modified: 2020-08-03 13:27 UTC (History)
6 users (show)

Fixed In Version: python-argcomplete-1.12.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-03 13:15:03 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-07-12 18:19:15 UTC
Latest upstream release: 1.12.0
Current version/release in rawhide: 1.11.1-2.fc33
URL: https://pypi.python.org/pypi/argcomplete

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/3773/

Comment 1 Upstream Release Monitoring 2020-07-12 18:19:18 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!

Comment 2 Miro Hrončok 2020-07-24 12:25:27 UTC
Test failures:

======================================================================
ERROR: test_console_script_module (test.test.TestBashGlobal)
Test completing a console_script for a module.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1292, in test_console_script_module
    self._test_console_script()
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1282, in _test_console_script
    install_output = self.sh.run_command(command)
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 103, in run_command
    if self._expect_prompt(timeout=timeout) == 1:
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 65, in _expect_prompt
    return self.child.expect_exact([self.prompt, self.continuation_prompt],
  File "/usr/lib/python3.9/site-packages/pexpect/spawnbase.py", line 421, in expect_exact
    return exp.expect_loop(timeout)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 181, in expect_loop
    return self.timeout(e)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 144, in timeout
    raise exc
pexpect.exceptions.TIMEOUT: Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7f0de2f4a640>
command: /usr/bin/bash
args: [b'/usr/bin/bash', b'--rcfile', b'/usr/lib/python3.9/site-packages/pexpect/bashrc.sh']
buffer (last 100 chars): 'test-package-0\r\n'
before (last 100 chars): ' setup.py install for test-package ... \x1b[?25l-\x08 \x08done\r\n\x1b[?25hSuccessfully installed test-package-0\r\n'
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 897
child_fd: 7
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_string:
    0: '[PEXPECT_PROMPT>'
    1: '[PEXPECT_PROMPT+'

======================================================================
ERROR: test_console_script_module_wheel (test.test.TestBashGlobal)
Test completing a console_script for a module from a wheel.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1300, in test_console_script_module_wheel
    self._test_console_script(wheel=True)
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1282, in _test_console_script
    install_output = self.sh.run_command(command)
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 103, in run_command
    if self._expect_prompt(timeout=timeout) == 1:
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 65, in _expect_prompt
    return self.child.expect_exact([self.prompt, self.continuation_prompt],
  File "/usr/lib/python3.9/site-packages/pexpect/spawnbase.py", line 421, in expect_exact
    return exp.expect_loop(timeout)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 181, in expect_loop
    return self.timeout(e)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 144, in timeout
    raise exc
pexpect.exceptions.TIMEOUT: Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7f0de2f4dca0>
command: /usr/bin/bash
args: [b'/usr/bin/bash', b'--rcfile', b'/usr/lib/python3.9/site-packages/pexpect/bashrc.sh']
buffer (last 100 chars): 'test-package-0\r\n'
before (last 100 chars): ' setup.py install for test-package ... \x1b[?25l-\x08 \x08done\r\n\x1b[?25hSuccessfully installed test-package-0\r\n'
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 921
child_fd: 8
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_string:
    0: '[PEXPECT_PROMPT>'
    1: '[PEXPECT_PROMPT+'

======================================================================
ERROR: test_console_script_package (test.test.TestBashGlobal)
Test completing a console_script for a package.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1296, in test_console_script_package
    self._test_console_script(package=True)
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1282, in _test_console_script
    install_output = self.sh.run_command(command)
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 103, in run_command
    if self._expect_prompt(timeout=timeout) == 1:
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 65, in _expect_prompt
    return self.child.expect_exact([self.prompt, self.continuation_prompt],
  File "/usr/lib/python3.9/site-packages/pexpect/spawnbase.py", line 421, in expect_exact
    return exp.expect_loop(timeout)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 181, in expect_loop
    return self.timeout(e)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 144, in timeout
    raise exc
pexpect.exceptions.TIMEOUT: Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7f0de2f4d880>
command: /usr/bin/bash
args: [b'/usr/bin/bash', b'--rcfile', b'/usr/lib/python3.9/site-packages/pexpect/bashrc.sh']
buffer (last 100 chars): 'test-package-0\r\n'
before (last 100 chars): ' setup.py install for test-package ... \x1b[?25l-\x08 \x08done\r\n\x1b[?25hSuccessfully installed test-package-0\r\n'
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 945
child_fd: 9
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_string:
    0: '[PEXPECT_PROMPT>'
    1: '[PEXPECT_PROMPT+'

======================================================================
ERROR: test_console_script_package_wheel (test.test.TestBashGlobal)
Test completing a console_script for a package from a wheel.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1304, in test_console_script_package_wheel
    self._test_console_script(package=True, wheel=True)
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1282, in _test_console_script
    install_output = self.sh.run_command(command)
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 103, in run_command
    if self._expect_prompt(timeout=timeout) == 1:
  File "/usr/lib/python3.9/site-packages/pexpect/replwrap.py", line 65, in _expect_prompt
    return self.child.expect_exact([self.prompt, self.continuation_prompt],
  File "/usr/lib/python3.9/site-packages/pexpect/spawnbase.py", line 421, in expect_exact
    return exp.expect_loop(timeout)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 181, in expect_loop
    return self.timeout(e)
  File "/usr/lib/python3.9/site-packages/pexpect/expect.py", line 144, in timeout
    raise exc
pexpect.exceptions.TIMEOUT: Timeout exceeded.
<pexpect.pty_spawn.spawn object at 0x7f0de2f4da00>
command: /usr/bin/bash
args: [b'/usr/bin/bash', b'--rcfile', b'/usr/lib/python3.9/site-packages/pexpect/bashrc.sh']
buffer (last 100 chars): 'test-package-0\r\n'
before (last 100 chars): ' setup.py install for test-package ... \x1b[?25l-\x08 \x08done\r\n\x1b[?25hSuccessfully installed test-package-0\r\n'
after: <class 'pexpect.exceptions.TIMEOUT'>
match: None
match_index: None
exitstatus: None
flag_eof: False
pid: 969
child_fd: 10
closed: False
timeout: 30
delimiter: <class 'pexpect.exceptions.EOF'>
logfile: None
logfile_read: None
logfile_send: None
maxread: 2000
ignorecase: False
searchwindowsize: None
delaybeforesend: 0.05
delayafterclose: 0.1
delayafterterminate: 0.1
searcher: searcher_string:
    0: '[PEXPECT_PROMPT>'
    1: '[PEXPECT_PROMPT+'

======================================================================
FAIL: test_console_script_module (test.test.TestBashGlobal)
Test completing a console_script for a module.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1096, in tearDown
    self.sh.run_command('exit')
AssertionError: EOF not raised

======================================================================
FAIL: test_console_script_module_wheel (test.test.TestBashGlobal)
Test completing a console_script for a module from a wheel.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1096, in tearDown
    self.sh.run_command('exit')
AssertionError: EOF not raised

======================================================================
FAIL: test_console_script_package (test.test.TestBashGlobal)
Test completing a console_script for a package.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1096, in tearDown
    self.sh.run_command('exit')
AssertionError: EOF not raised

======================================================================
FAIL: test_console_script_package_wheel (test.test.TestBashGlobal)
Test completing a console_script for a package from a wheel.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/argcomplete-1.12.0/test/test.py", line 1096, in tearDown
    self.sh.run_command('exit')
AssertionError: EOF not raised

----------------------------------------------------------------------
Ran 144 tests in 334.512s

FAILED (failures=4, errors=4, skipped=2, expected failures=13)



Will investigate later.

Comment 4 Fedora Update System 2020-08-03 13:15:03 UTC
FEDORA-2020-3ff70cd141 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Miro Hrončok 2020-08-03 13:27:40 UTC
Also fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.